## wmsysmon 0.2

=== wmsysmon/Makefile ===
LIBDIR = -L/usr/X11R6/lib
LIBS   = -lXpm -lXext -lX11 -lm
FLAGS = -O2
OBJS =	wmsysmon.o \
		../wmgeneral/wmgeneral.o \
		../wmgeneral/misc.o \
		../wmgeneral/list.o

.c.o:
	cc -I/usr/X11R6/share/include $(FLAGS) -c -Wall $< -o $*.o

wmsysmon: $(OBJS)
	cc $(FLAGS) -o wmsysmon $^ -lXext $(LIBDIR) $(LIBS)

all:: wmsysmon

clean::
	for i in $(OBJS) ; do \
		rm -f $$i ; \
	done
	rm -f wmsysmon
	rm -f *~

install:: wmsysmon
	cp -f wmsysmon /usr/local/bin/
	chmod 755 /usr/local/bin/wmsysmon
	chown root:root /usr/local/bin/wmsysmon
	@echo "wmsysmon Installation finished..."

## wmsysmon 0.7.6

=== meminfotest/Makefile ===
CC := gcc

BIN := test
OBJ := test.o

$(BIN): $(OBJ)
	$(CC) -o $(BIN) $(OBJ)

clean:
	rm -f $(OBJ) $(BIN)

=== src/Makefile ===
CC = gcc

LIBDIR += -L/usr/X11R6/lib
LDFLAGS += -lXpm -lXext -lX11 -lm -s
#CFLAGS = -g #-DMONDEBUG
CFLAGS += -O3 -m486 -fomit-frame-pointer -I/usr/X11R6/include #-DHI_INTS #undefine HI_INTS if your x86 SMP or alpha

BIN = wmsysmon
OBJS =	wmgeneral.o \
	wmsysmon.o

$(BIN): $(OBJS)
	$(CC) -o $(BIN) $(OBJS) $(LIBDIR) $(LDFLAGS)

all: wmsysmon

clean:
	rm -f $(OBJS) $(BIN)

install:
	install -g root -o root $(BIN) /usr/local/bin

## wmsysmon 0.7.7

=== src/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 LIBDIR += -L/usr/X11R6/lib
 LDFLAGS += -lXpm -lXext -lX11 -lm -s
 #CFLAGS = -g #-DMONDEBUG
-CFLAGS += -O3 -m486 -fomit-frame-pointer -I/usr/X11R6/include #-DHI_INTS #undefine HI_INTS if your x86 SMP or alpha
+CFLAGS += -Wall -O3 -m486 -fomit-frame-pointer -I/usr/X11R6/include #-DHI_INTS #undefine HI_INTS if your x86 SMP or alpha
 
 BIN = wmsysmon
 OBJS =	wmgeneral.o \

=== debian/changelog ===
wmsysmon (0.7.7-9) unstable; urgency=medium

  * debian/control
    - Update Vcs-* fields.
    - Set Debian Window Maker Team as Maintainer; move myself to
      Uploaders with updated email address.
  * debian/{copyright,patches}
    - Update email address.

 -- Doug Torrance <dtorrance@piedmont.edu>  Mon, 24 Aug 2015 23:05:56 -0400

wmsysmon (0.7.7-8) unstable; urgency=medium

  * New maintainer (Closes: #792213).
  * debian/compat
    - Bump to 9.
  * debian/control
    - Tidy up using wrap-and-sort.
    - Bump versioned dependency on debhelper to >= 9.
    - Remove dpatch from Build-Depends.
    - Bump Standards-Version to 3.9.6.
    - Add Homepage and Vcs-*.
    - Lengthen Description.
  * debian/copyright
    - Convert to DEP5 format.
  * debian/manpages
    - New file.
  * debian/patches/{break,output,src_makefile,makefile-strip}.patch
    - Rename from 01-break.dpatch, 02-output.dpatch, 03-src_makefile.dpatch,
      and 04-makefile.dpatch.
    - Convert patches from dpatch to quilt
    - Add DEP3 headers.
  * debian/patches/makefile-strip.patch
    - Patch src/Makefile and not Makefile; the latter does not exist in the
      .orig tarball.
  * debian/patches/unused-{but-set-variable,result}.patch
    - New patches; fix compiler warnings.
  * debian/rules
    - Update to use dh.
  * debian/source/format
    - New file; use 3.0 (quilt).

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Sun, 12 Jul 2015 10:43:06 -0600

wmsysmon (0.7.7-7) unstable; urgency=low

  * Add the watch file.
  * Delete automatic strip (Closes: #438276).
  * Modify debian/menu to move application in Apps/System/Monitoring.
  * Modify debian/changelog for not ignoring errors on make clean.

 -- Luca Bedogni <me@lucabedogni.it>  Thu, 16 Aug 2007 16:09:43 +0200

wmsysmon (0.7.7-6) unstable; urgency=low

  * Remove a gcc flag (-m486) for a correct build on all architectures
    (Closes: #415669).

 -- Luca Bedogni <me@lucabedogni.it>  Wed, 21 Mar 2007 22:46:25 +0100

wmsysmon (0.7.7-5) unstable; urgency=low

  * New maintainer (Closes: #390871).
  * Modify copyright for making it more explicative.
  * Add a Makefile and modified the existing one.
  * Add a patch (01-break.dpatch) instead of modifing upstream code as previous
    version did.
  * Add another patch (02-output.dpatch) for fixing a typo (Closes: #75036).
  * Modify manpage.
  * Change priority from extra to optional.

 -- Luca Bedogni <me@lucabedogni.it>  Fri, 16 Mar 2007 13:45:10 +0100

wmsysmon (0.7.7-4) unstable; urgency=low

  * Orphan package (Closes: #390871).
  * ACK NMUs (Closes: #259912, #347059).

 -- Norbert Tretkowski <nobse@debian.org>  Tue,  2 Jan 2007 23:00:02 +0100

wmsysmon (0.7.7-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * Replace build-dependency on xlibs-dev with an explicit build-dependency
    on each required package (Closes: #347059).

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 21 Jan 2006 14:28:16 +0100

wmsysmon (0.7.7-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * src/wmsysmon.c: Add break at the end of the default label clause
    of a switch statement to fix a build failure with GCC 4.0.
    Apply patch from Andreas Jochens (Closes: #259912).

 -- Roger Leigh <rleigh@debian.org>  Sun,  4 Sep 2005 16:52:12 +0100

wmsysmon (0.7.7-3) unstable; urgency=low

  * Fix manpage (Closes: #93475, #165944)..
  * Bump up Standards-Version (no changes).
  * Remove -1 diff from source package.
  * Modify description to shut up lintian.

 -- Norbert Tretkowski <nobse@debian.org>  Tue, 12 Aug 2003 02:24:56 +0200

wmsysmon (0.7.7-2) unstable; urgency=low

  * Gnah... wmsysmon binary missing.

 -- Norbert Tretkowski <nobse@debian.org>  Sun, 25 May 2003 11:21:21 +0100

wmsysmon (0.7.7-1) unstable; urgency=low

  * New upstream release (Closes: #168185).

 -- Norbert Tretkowski <nobse@debian.org>  Sun, 25 May 2003 00:14:14 +0100

wmsysmon (0.7.6-4.1) unstable; urgency=low

  * Correct spelling error in description (Closes: #124563).
  * Correct Build-Depends.

 -- Norbert Tretkowski <nobse@debian.org>  Sat, 16 Feb 2002 22:04:51 +0100

wmsysmon (0.7.6-4) unstable; urgency=low

  * Add manpage.

 -- Norbert Tretkowski <nobse@debian.org>  Sun, 15 Apr 2001 16:09:21 +0100

wmsysmon (0.7.6-3) unstable; urgency=low

  * Correct Build-Depends (Closes: #92685).

 -- Norbert Tretkowski <nobse@debian.org>  Sat,  7 Apr 2001 18:31:44 +0100

wmsysmon (0.7.6-2) unstable; urgency=low

  * Link against xlib6g 3.3.6, not 4.0.1 (Closes: #74792, #74808).

 -- Norbert Tretkowski <nobse@nobse.de>  Tue, 31 Oct 2000 21:35:41 +0200

wmsysmon (0.7.6-1) unstable; urgency=low

  * Adopt package (Closes: #68140).
  * Link against libxpm4 (Closes: #67951).
  * Update to Standards-Version 3.1.1.

 -- Norbert Tretkowski <nobse@nobse.de>  Thu, 14 Oct 2000 15:41:34 +0200

wmsysmon (0.7.6-0.1) unstable; urgency=low

  * Non-Maintainer upload. This package needs a maintainer!
  * New upstream release.
  * Rebuild with a newer libxpm, the package gets the correct depends on
    libxpm4 now (Closes: #67951).
  * Compile with glibc 2.1.94.
  * src/Makefile: Add some variables to fix the default, hardcode
    installation paths. The binary now installs in /usr/bin.
  * Many changes in the debian/ dir for the new release:
    + Add a menu entry.
    + rules: Add support for DEB_BUILD_OPTIONS debug and nostrip, fix
      CFLAGS.
    + copyright: Update license location, change download URL and add
      the new upstream maintainer.
    + docs: Add FAQ, remove BUGS.
    + control: Add Build-Depends, update description and up
      Standards-Version to 3.0.1.

 -- Jordi Mallach <jordi@debian.org>  Sat, 30 Sep 2000 05:19:57 +0200

wmsysmon (0.2-2) unstable; urgency=low

  *  Modified initial release.
  *  Recompile to take advantage of talon@debian.org.  Added to
     version number simply for those who beta-tested my original
     (pre-maintainer) 0.2-1

 -- Brian E. Ermovick <talon@debian.org>  Mon,  1 Feb 1999 02:00:00 -0600



=== debian/control ===
Source: wmsysmon
Section: x11
Priority: optional
Maintainer: Debian Window Maker Team <pkg-wmaker-devel@lists.alioth.debian.org>
Uploaders: Doug Torrance <dtorrance@piedmont.edu>
Build-Depends: debhelper (>= 9), libx11-dev, libxext-dev, libxpm-dev
Standards-Version: 3.9.6
Homepage: http://www.gnugeneration.com/software/wmsysmon/
Vcs-Git: https://anonscm.debian.org/git/pkg-wmaker/wmsysmon.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-wmaker/wmsysmon.git

Package: wmsysmon
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: WindowMaker dock-app for monitoring your system
 wmsysmon is a dockable application for WindowMaker (and possibly Afterstep).
 It monitors system information on interrupt activity, memory use, swap use,
 and IO.

=== debian/watch ===
version=3

# Uncomment to find new files on sourceforge, for debscripts >= 2.9
http://gnugeneration.com/software/wmsysmon/wmsysmon-(.*)\.tar.gz

## wmsysmon 0.7.7+git20150808

=== src/Makefile ===
CC = gcc
PREFIX ?= /usr/local

LIBDIR += -L/usr/X11R6/lib
LIBS = $(shell pkg-config --libs xpm xext x11) -lm
#CFLAGS = -g #-DMONDEBUG
CFLAGS += -Wall -O3 -fomit-frame-pointer $(shell pkg-config --cflags xpm xext x11) #-DHI_INTS #undefine HI_INTS if your x86 SMP or alpha

BIN = wmsysmon
OBJS =	wmgeneral.o \
	wmsysmon.o

$(BIN): $(OBJS)
	$(CC) $(LDFLAGS) -o $(BIN) $(OBJS) $(LIBDIR) $(LIBS)

all: wmsysmon

clean:
	rm -f $(OBJS) $(BIN)

install:
	mkdir -p $(DESTDIR)$(PREFIX)/bin
	install -g root -o root $(BIN) $(DESTDIR)$(PREFIX)/bin
	mkdir -p $(DESTDIR)$(PREFIX)/share/man/man1
	install -m 644 wmsysmon.1 $(DESTDIR)$(PREFIX)/share/man/man1

=== debian/changelog ===
wmsysmon (0.7.7+git20150808-1) unstable; urgency=medium

  * New upstream release (git snapshot).
  * debian/control
    - Add pkg-config to Build-Depends.
    - Bump to Standards-Version 3.9.8.
    - Update Homepage.
    - Use secure URI for Vcs-Browser.
    - Update spelling in Description.
  * debian/copyright
    - Update Source.
  * debian/docs
    - New file; install README.
  * debian/install
    - New file; installs desktop entry file.
  * debian/{manpages,wmsysmon.1}
    - Remove files; manpage now distributed by upstream.
  * debian/menu
    - Remove deprecated file.
  * debian/patches
    - Remove directory; patches applied upstream.
  * debian/rules
    - Use all hardening flags.
    - New override_dh_auto_install target to correctly set PREFIX.
    - New get-orig-source target to build tarball.
  * debian/watch
    - Replace with comment stating that upstream does not tag their releases.
  * debian/wmsysmon.desktop
    - New desktop entry file.

 -- Doug Torrance <dtorrance@piedmont.edu>  Thu, 24 Nov 2016 09:16:50 -0500

=== debian/control ===
Source: wmsysmon
Section: x11
Priority: optional
Maintainer: Debian Window Maker Team <pkg-wmaker-devel@lists.alioth.debian.org>
Uploaders: Doug Torrance <dtorrance@piedmont.edu>
Build-Depends: debhelper (>= 9),
               libx11-dev,
               libxext-dev,
               libxpm-dev,
               pkg-config
Standards-Version: 3.9.8
Homepage: https://github.com/vcaputo/wmsysmon
Vcs-Git: https://anonscm.debian.org/git/pkg-wmaker/wmsysmon.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-wmaker/wmsysmon.git

Package: wmsysmon
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Window Maker dockapp for monitoring your system
 wmsysmon is a dockable application for Window Maker (and possibly AfterStep).
 It monitors system information on interrupt activity, memory use, swap use,
 and IO.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --sourcedirectory=src

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr

UPSTREAMGIT=https://github.com/vcaputo/wmsysmon
PACKAGE=wmsysmon

get-orig-source:
	wget $(UPSTREAMGIT)/archive/master.tar.gz
	git checkout upstream
	git pull $(UPSTREAMGIT)
	grep -oP '(?<=#define WMSYSMON_VERSION ").*(?=")' src/wmsysmon.c \
		> version
	echo "`cat version`+git`date -d @\`git log -1 --pretty=format:%ct\` +%Y%m%d`" > version
	cat version
	git checkout master
	mv -v master.tar.gz ../$(PACKAGE)_`cat version`.orig.tar.gz
	rm version

=== debian/watch ===
# Upstream does not currently tag their releases.
# Run debian/rules get-orig-source to obtain a tarball.

## wmsysmon 0.7.8

=== src/Makefile ===
LIBS += -lXpm -lXext -lX11 -lm
#CFLAGS = -g #-DMONDEBUG
CFLAGS += -W -Wall -pedantic -DHI_INTS #undefine HI_INTS if not on x86 SMP or alpha

PREFIX = /usr

BIN = wmsysmon
OBJS = wmgeneral.o \
	wmsysmon.o  \
	cpu_linux.o

$(BIN): $(OBJS)
	$(CC) $(LDFLAGS) $(OBJS) $(LIBS) -o $(BIN)

all: wmsysmon

clean:
	rm -f $(OBJS) $(BIN)

install: all
	install -g root -o root $(BIN) $(DESTDIR)$(PREFIX)/bin

=== debian/changelog ===
wmsysmon (0.7.8-2) unstable; urgency=medium

  [ Jeremy Sowden ]
  * Replace fix_multiple_definitions_of_display.patch with patches submitted
    upstream to remove wmgeneral entirely.
  * Bump compat to 13.

  [ Debian Janitor ]
  * debian/changelog
    - Fix day-of-week for changelog entry 0.7.6-1.
  * debian/copyright
    - Use spaces rather than tabs to start continuation lines.
  * debian/upstream/metadata
    - Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
      Repository-Browse

  [ Doug Torrance ]
  * debian/control
    - Update Maintainer email address to use tracker.d.o.
    - Bump Standards-Version to 4.6.0.
  * debian/copyright
    - Update copyright years.
  * debian/patches/*.patch
    - Add Forwarded fields.
  * debian/salsa-ci.yml
    - Add Salsa pipeline config file.

 -- Doug Torrance <dtorrance@piedmont.edu>  Sun, 17 Oct 2021 21:20:22 -0400

wmsysmon (0.7.8-1) unstable; urgency=medium

  [ Doug Torrance ]
  * Update Vcs-* after migration to Salsa.
  * Update Format in d/copyright to https.

  [ Jeremy Sowden ]
  * The old upstream repo is dead.  Switch to a new one which publishes
    tar-balls.
  * New upstream version 0.7.8:
    - fixes display of memory and swap usage (closes: #194214).
  * Bump compat to 12 and replace d/compat with b-d on debhelper-compat.
  * Add myself to uploaders.
  * Add patches to prevent seg-faults reading /proc/vmstat and /proc/meminfo.
  * Drop override of dh_auto_install.
  * Add patch to fix installation.
  * Set Rules-Requires-Root: no.
  * Add man-page.
  * Fix multiple definitions of global variable (closes: #957951).
  * Bump Standards-Version to 4.5.0.

  [ Andreas Metzler ]
  * Update debian/copyright for new upstream version.

 -- Jeremy Sowden <jeremy@azazel.net>  Mon, 20 Apr 2020 21:04:14 +0100

=== debian/control ===
Source: wmsysmon
Section: x11
Priority: optional
Maintainer: Debian Window Maker Team <team+wmaker@tracker.debian.org>
Uploaders: Doug Torrance <dtorrance@piedmont.edu>,
           Jeremy Sowden <jeremy@azazel.net>
Build-Depends: debhelper-compat (= 13),
               libdockapp-dev,
               libx11-dev,
               libxext-dev,
               libxpm-dev,
               pkg-config
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/voyageur/wmsysmon
Vcs-Git: https://salsa.debian.org/wmaker-team/wmsysmon.git
Vcs-Browser: https://salsa.debian.org/wmaker-team/wmsysmon

Package: wmsysmon
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Window Maker dockapp for monitoring your system
 wmsysmon is a dockable application for Window Maker (and possibly AfterStep).
 It monitors system information on interrupt activity, memory use, swap use,
 and IO.

## wmsysmon 0.8.0

=== src/Makefile ===
# CFLAGS = -g #-DMONDEBUG

#
# undefine HI_INTS if not on x86 SMP or alpha
#
CFLAGS	+= -W -Wall -pedantic -DHI_INTS \
	   $(shell pkg-config dockapp --cflags) \
	   $(shell pkg-config x11     --cflags) \
	   $(shell pkg-config xext    --cflags) \
	   $(shell pkg-config xpm     --cflags)

LIBS	+= $(shell pkg-config dockapp --libs) \
	   $(shell pkg-config x11     --libs) \
	   $(shell pkg-config xext    --libs) \
	   $(shell pkg-config xpm     --libs) \
	   -lm

PREFIX	= /usr

BIN	= wmsysmon
OBJS	= wmsysmon.o \
	  cpu_linux.o

$(BIN): $(OBJS)
	$(CC) $(LDFLAGS) $(OBJS) -o $(BIN) $(LIBS)

all: wmsysmon

clean:
	rm -f $(OBJS) $(BIN)

install: all
	install -d             $(DESTDIR)$(PREFIX)/bin
	install -m 0755 $(BIN) $(DESTDIR)$(PREFIX)/bin

=== debian/changelog ===
wmsysmon (0.8.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    - Bump Standards-Version to 4.6.1.
    - Update my email address; now a Debian Developer.
  * debian/copyright
    - Bump my copyright years and update my email address.
  * debian/patches
    - Remove all patches; applied upstream.

 -- Doug Torrance <dtorrance@debian.org>  Wed, 10 Aug 2022 10:05:50 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: x11
 Priority: optional
 Maintainer: Debian Window Maker Team <team+wmaker@tracker.debian.org>
-Uploaders: Doug Torrance <dtorrance@piedmont.edu>,
+Uploaders: Doug Torrance <dtorrance@debian.org>,
            Jeremy Sowden <jeremy@azazel.net>
 Build-Depends: debhelper-compat (= 13),
                libdockapp-dev,
@@ -10,7 +10,7 @@
                libxext-dev,
                libxpm-dev,
                pkg-config
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/voyageur/wmsysmon
 Vcs-Git: https://salsa.debian.org/wmaker-team/wmsysmon.git

## wmsysmon 0.8.1

=== src/Makefile ===
# CFLAGS = -g #-DMONDEBUG

PKG_CONFIG ?= pkg-config

#
# undefine HI_INTS if not on x86 SMP or alpha
#
CFLAGS	+= -W -Wall -pedantic -DHI_INTS \
	   $(shell $(PKG_CONFIG) dockapp --cflags) \
	   $(shell $(PKG_CONFIG) x11     --cflags) \
	   $(shell $(PKG_CONFIG) xext    --cflags) \
	   $(shell $(PKG_CONFIG) xpm     --cflags)

LIBS	+= $(shell $(PKG_CONFIG) dockapp --libs) \
	   $(shell $(PKG_CONFIG) x11     --libs) \
	   $(shell $(PKG_CONFIG) xext    --libs) \
	   $(shell $(PKG_CONFIG) xpm     --libs) \
	   -lm

PREFIX	= /usr

BIN	= wmsysmon
OBJS	= wmsysmon.o \
	  cpu_linux.o

$(BIN): $(OBJS)
	$(CC) $(LDFLAGS) $(OBJS) -o $(BIN) $(LIBS)

all: wmsysmon

clean:
	rm -f $(OBJS) $(BIN)

install: all
	install -d             $(DESTDIR)$(PREFIX)/bin
	install -m 0755 $(BIN) $(DESTDIR)$(PREFIX)/bin

=== debian/changelog ===
wmsysmon (0.8.1-1) unstable; urgency=medium

  * New upstream release.
    + Don't hard-code pkg-config (Closes: #1033662)
  * d/control
    - Bump Standards-Version to 4.6.2

 -- Jeremy Sowden <jeremy@azazel.net>  Sun, 11 Jun 2023 22:12:04 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libxext-dev,
                libxpm-dev,
                pkg-config
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/voyageur/wmsysmon
 Vcs-Git: https://salsa.debian.org/wmaker-team/wmsysmon.git

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%wmsysmon-$1.tar.gz%" \
 https://github.com/voyageur/wmsysmon/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
